separate file list generation from the rest

This commit is contained in:
Louis Abel 2022-07-15 15:39:14 -07:00
parent 04f2c3ab77
commit aec6a5d52d
Signed by: label
GPG Key ID: B37E62D143879B36
3 changed files with 85 additions and 47 deletions

View File

@ -0,0 +1,38 @@
#!/bin/bash
# Syncs everything from staging to production
# Source common variables
# shellcheck disable=SC2046,1091,1090
source "$(dirname "$0")/common"
REV=${REVISION}${APPEND_TO_DIR}
cd "${STAGING_ROOT}/${CATEGORY_STUB}/${REV}" || { echo "Failed to change directory"; ret_val=1; exit 1; }
ret_val=$?
if [ $ret_val -eq "0" ]; then
# Full file list update for production root
cd "${PRODUCTION_ROOT}/" || echo { echo "Failed to change directory"; exit 1; }
find . > fullfilelist
if [[ -f /usr/local/bin/create-filelist ]]; then
# We're already here, but Justin Case wanted this
cd "${PRODUCTION_ROOT}/" || { echo "Failed to change directory"; exit 1; }
/bin/cp fullfiletimelist-rocky fullfiletimelist-rocky-old
/usr/local/bin/create-filelist > fullfiletimelist-rocky
cp fullfiletimelist-rocky fullfiletimelist
fi
# Full file list update for rocky linux itself
cd "${PRODUCTION_ROOT}/${CATEGORY_STUB}/" || { echo "Failed to change directory"; exit 1; }
# Hardlink everything except xml files
hardlink -x '.*\.xml.*' "${REVISION}"
find . > fullfilelist
if [[ -f /usr/local/bin/create-filelist ]]; then
# We're already here, but Justin Case wanted this
cd "${PRODUCTION_ROOT}/${CATEGORY_STUB}/" || { echo "Failed to change directory"; exit 1; }
/bin/cp fullfiletimelist-rocky fullfiletimelist-rocky-old
/usr/local/bin/create-filelist > fullfiletimelist-rocky
cp fullfiletimelist-rocky fullfiletimelist
fi
chown 10004:10005 fullfilelist fullfiletimelist-rocky fullfiletimelist
fi

View File

@ -17,30 +17,30 @@ if [ $ret_val -eq "0" ]; then
sudo -l && time fpsync -n 24 -o '-a --numeric-ids --no-compress --chown=10004:10005' -t /mnt/compose/partitions "${STAGING_ROOT}/${CATEGORY_STUB}/${REV}/" "${TARGET}/" sudo -l && time fpsync -n 24 -o '-a --numeric-ids --no-compress --chown=10004:10005' -t /mnt/compose/partitions "${STAGING_ROOT}/${CATEGORY_STUB}/${REV}/" "${TARGET}/"
# Full file list update for production root # Full file list update for production root
cd "${PRODUCTION_ROOT}/" || { echo "Failed to change directory"; exit 1; } #cd "${PRODUCTION_ROOT}/" || { echo "Failed to change directory"; exit 1; }
echo "Getting a full file list for the root dir" #echo "Getting a full file list for the root dir"
find . > fullfilelist #find . > fullfilelist
if [[ -f /usr/local/bin/create-filelist ]]; then #if [[ -f /usr/local/bin/create-filelist ]]; then
# We're already here, but Justin Case wanted this # # We're already here, but Justin Case wanted this
cd "${PRODUCTION_ROOT}/" || { echo "Failed to change directory"; exit 1; } # cd "${PRODUCTION_ROOT}/" || { echo "Failed to change directory"; exit 1; }
/bin/cp fullfiletimelist-rocky fullfiletimelist-rocky-old # /bin/cp fullfiletimelist-rocky fullfiletimelist-rocky-old
/usr/local/bin/create-filelist > fullfiletimelist-rocky # /usr/local/bin/create-filelist > fullfiletimelist-rocky
cp fullfiletimelist-rocky fullfiletimelist # cp fullfiletimelist-rocky fullfiletimelist
fi #fi
# Full file list update for rocky linux itself ## Full file list update for rocky linux itself
cd "${PRODUCTION_ROOT}/${CATEGORY_STUB}/" || { echo "Failed to change directory"; exit 1; } #cd "${PRODUCTION_ROOT}/${CATEGORY_STUB}/" || { echo "Failed to change directory"; exit 1; }
# Hardlink everything except xml files ## Hardlink everything except xml files
echo "Hard linking" #echo "Hard linking"
hardlink -x '.*\.xml.*' "${REVISION}" #hardlink -x '.*\.xml.*' "${REVISION}"
echo "Getting a full file list for the rocky dir" #echo "Getting a full file list for the rocky dir"
find . > fullfilelist #find . > fullfilelist
if [[ -f /usr/local/bin/create-filelist ]]; then #if [[ -f /usr/local/bin/create-filelist ]]; then
# We're already here, but Justin Case wanted this # # We're already here, but Justin Case wanted this
cd "${PRODUCTION_ROOT}/${CATEGORY_STUB}/" || { echo "Failed to change directory"; exit 1; } # cd "${PRODUCTION_ROOT}/${CATEGORY_STUB}/" || { echo "Failed to change directory"; exit 1; }
/bin/cp fullfiletimelist-rocky fullfiletimelist-rocky-old # /bin/cp fullfiletimelist-rocky fullfiletimelist-rocky-old
/usr/local/bin/create-filelist > fullfiletimelist-rocky # /usr/local/bin/create-filelist > fullfiletimelist-rocky
cp fullfiletimelist-rocky fullfiletimelist # cp fullfiletimelist-rocky fullfiletimelist
fi #fi
chown 10004:10005 fullfilelist fullfiletimelist-rocky fullfiletimelist #chown 10004:10005 fullfilelist fullfiletimelist-rocky fullfiletimelist
fi fi

View File

@ -33,27 +33,27 @@ if [ $ret_val -eq "0" ]; then
fi fi
# Full file list update for production root # Full file list update for production root
cd "${PRODUCTION_ROOT}/" || echo { echo "Failed to change directory"; exit 1; } #cd "${PRODUCTION_ROOT}/" || echo { echo "Failed to change directory"; exit 1; }
find . > fullfilelist #find . > fullfilelist
if [[ -f /usr/local/bin/create-filelist ]]; then #if [[ -f /usr/local/bin/create-filelist ]]; then
# We're already here, but Justin Case wanted this # # We're already here, but Justin Case wanted this
cd "${PRODUCTION_ROOT}/" || { echo "Failed to change directory"; exit 1; } # cd "${PRODUCTION_ROOT}/" || { echo "Failed to change directory"; exit 1; }
/bin/cp fullfiletimelist-rocky fullfiletimelist-rocky-old # /bin/cp fullfiletimelist-rocky fullfiletimelist-rocky-old
/usr/local/bin/create-filelist > fullfiletimelist-rocky # /usr/local/bin/create-filelist > fullfiletimelist-rocky
cp fullfiletimelist-rocky fullfiletimelist # cp fullfiletimelist-rocky fullfiletimelist
fi #fi
# Full file list update for rocky linux itself ## Full file list update for rocky linux itself
cd "${PRODUCTION_ROOT}/${CATEGORY_STUB}/" || { echo "Failed to change directory"; exit 1; } #cd "${PRODUCTION_ROOT}/${CATEGORY_STUB}/" || { echo "Failed to change directory"; exit 1; }
# Hardlink everything except xml files ## Hardlink everything except xml files
hardlink -x '.*\.xml.*' "${REVISION}" #hardlink -x '.*\.xml.*' "${REVISION}"
find . > fullfilelist #find . > fullfilelist
if [[ -f /usr/local/bin/create-filelist ]]; then #if [[ -f /usr/local/bin/create-filelist ]]; then
# We're already here, but Justin Case wanted this # # We're already here, but Justin Case wanted this
cd "${PRODUCTION_ROOT}/${CATEGORY_STUB}/" || { echo "Failed to change directory"; exit 1; } # cd "${PRODUCTION_ROOT}/${CATEGORY_STUB}/" || { echo "Failed to change directory"; exit 1; }
/bin/cp fullfiletimelist-rocky fullfiletimelist-rocky-old # /bin/cp fullfiletimelist-rocky fullfiletimelist-rocky-old
/usr/local/bin/create-filelist > fullfiletimelist-rocky # /usr/local/bin/create-filelist > fullfiletimelist-rocky
cp fullfiletimelist-rocky fullfiletimelist # cp fullfiletimelist-rocky fullfiletimelist
fi #fi
chown 10004:10005 fullfilelist fullfiletimelist-rocky fullfiletimelist #chown 10004:10005 fullfilelist fullfiletimelist-rocky fullfiletimelist
fi fi